Package com.avaya.clientservices.provider.certificate

## Class CertificateStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.avaya.clientservices.provider.certificate.CertificateStoreException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `AppCertificateStoreException`, `AppCertificateStoreNotInUseException`

      public class CertificateStoreException
      extends java.lang.RuntimeException

  Certificate store exception presents errors occurred while managing "generic" certificate stores.

  This class acts as a base class for application specific certificate store exceptions.

  See Also:
    `AppCertificateStoreException`, `AppCertificateStoreNotInUseException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CertificateStoreException()` | Constructs a new exception with null as its message.
    `CertificateStoreException​(java.lang.String message)` | Constructs a new exception with specified `message`.
    `CertificateStoreException​(java.lang.String message, java.lang.Throwable cause)` | Constructs a new exception with specified `message` and `cause`.
    `CertificateStoreException​(java.lang.Throwable cause)` | Constructs a new exception with specified `cause`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateStoreException

          public CertificateStoreException()

      Constructs a new exception with null as its message.

    - #### CertificateStoreException

          public CertificateStoreException​(java.lang.String message)

      Constructs a new exception with specified `message`.
      Parameters:
        `message` - the detailed message

    - #### CertificateStoreException

          public CertificateStoreException​(java.lang.Throwable cause)

      Constructs a new exception with specified `cause`.
      Parameters:
        `cause` - the exception causing this one

    - #### CertificateStoreException

          public CertificateStoreException​(java.lang.String message,
                                           java.lang.Throwable cause)

      Constructs a new exception with specified `message` and `cause`.
      Parameters:
        `message` - the detail message
        `cause` - the exception causing this one